## 2025-10-21.tar.xz

=== src/lib/ubuntu-ui-extras/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)

project(ubuntu-ui-extras)

# Standard install paths
include(GNUInstallDirs)

option(ENABLE_TESTS "Build test programs" ON)

# enable QML debugging
if(CMAKE_BUILD_TYPE MATCHES DEBUG OR CMAKE_BUILD_TYPE MATCHES "Debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

find_package(Qt5Core REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5Test)

add_definitions(-DQT_NO_KEYWORDS)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

# make non compiled files visible in qtcreator
file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot qmldir)
add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})

# for dh_translations to extract the domain
# (regarding syntax consistency, see http://pad.lv/1181187)
set (GETTEXT_PACKAGE "ubuntu-ui-extras")

add_subdirectory(modules)

#if(ENABLE_TESTS)
#    enable_testing()
#    add_subdirectory(tests)
#endif()
add_subdirectory(po)

=== src/lib/ubuntu-ui-extras/po/CMakeLists.txt ===
project(ubuntu-ui-extras-translations)

include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

file(GLOB_RECURSE I18N_SRC_FILES
     RELATIVE ${CMAKE_SOURCE_DIR}
     ${CMAKE_SOURCE_DIR}/modules/*.qml ${CMAKE_SOURCE_DIR}/modules/*.cpp ${CMAKE_SOURCE_DIR}/modules/*.h)

set(DOMAIN ${GETTEXT_PACKAGE})
set(POT_FILE ${DOMAIN}.pot)
file(GLOB PO_FILES *.po)

add_custom_target(${POT_FILE} ALL
                          COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          -s -p ${CMAKE_CURRENT_SOURCE_DIR}
                          -D ${CMAKE_SOURCE_DIR}
                          --from-code=UTF-8
                          --c++ --qt --add-comments=TRANSLATORS
                          --keyword=dtr:2 --keyword=dtr:2,3
                          --keyword=tr --keyword=tr:1,2
                          --keyword=__
                          --package-name=ubuntu-ui-extras
                          --copyright-holder='Canonical Ltd.'
                          ${I18N_SRC_FILES})

foreach(PO_FILE ${PO_FILES})
    get_filename_component(LANG ${PO_FILE} NAME_WE)
    gettext_process_po_files(${LANG} ALL PO_FILES ${PO_FILE})
    set(INSTALL_DIR ${CMAKE_INSTALL_LOCALEDIR}/${LANG}/LC_MESSAGES)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo
            DESTINATION ${INSTALL_DIR}
            RENAME ${DOMAIN}.mo)
endforeach(PO_FILE)

=== src/lib/ubuntu-ui-extras/tests/qml/CMakeLists.txt ===
find_program(QMLTESTRUNNER_BIN
    NAMES qmltestrunner
    PATHS /usr/lib/*/qt5/bin
    NO_DEFAULT_PATH
)

find_program(XVFB_RUN_BIN
    NAMES xvfb-run
)

macro(DECLARE_QML_TEST TST_NAME TST_QML_FILE)
    add_test(NAME ${TST_NAME}
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMAND ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24" ${QMLTESTRUNNER_BIN} -input ${CMAKE_CURRENT_SOURCE_DIR}/${TST_QML_FILE}
    )
endmacro()

if(QMLTESTRUNNER_BIN AND XVFB_RUN_BIN)
    declare_qml_test("tst_actions_bar" tst_ActionsBar.qml)
    declare_qml_test("tst_busy_indicator" tst_BusyIndicator.qml)
    declare_qml_test("tst_crop_drag_area" tst_CropDragArea.qml)
else()
    if (NOT QMLTESTRUNNER_BIN)
        message(WARNING "Qml tests disabled: qmltestrunner not found")
    else()
        message(WARNING "Qml tests disabled: xvfb-run not found")
    endif()
endif()

set(QML_TST_FILES
    tst_ActionsBar.qml
    tst_BusyIndicator.qml
    tst_CropDragArea.qml
)
add_custom_target(tst_QmlFiles ALL SOURCES ${QML_TST_FILES})

=== src/lib/ubuntu-ui-extras/tests/unittests/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/modules/Ubuntu/Components/Extras/plugin/example/
    ${CMAKE_SOURCE_DIR}/modules/Ubuntu/Components/Extras/plugin/photoeditor/
    )

qt5_add_resources(sampledata_rc_srcs sampledata.qrc)

set(plugin-dir ../../modules/Ubuntu/Components/Extras/plugin)
macro(generate_tests)
    foreach(test ${ARGN})
        add_executable(${test} 
            ${test}.cpp
            ${plugin-dir}/photoeditor/photo-image-provider.cpp
            ${sampledata_rc_srcs}
            )
        qt5_use_modules(${test} Core Qml Quick Test)
        target_link_libraries(${test}
            ${TPL_QT5_LIBRARIES}
            ubuntu-ui-extras-plugin
            )
        add_test(${test} 
            ${CMAKE_CURRENT_BINARY_DIR}/${test}
            -xunitxml -o ${test}.xml
            )
        set_tests_properties(${test} PROPERTIES
            ENVIRONMENT "QT_QPA_PLATFORM=minimal"
            )
    endforeach(test)
endmacro(generate_tests)

generate_tests(
    tst_ExampleModelTests
    tst_PhotoEditorPhoto
    tst_PhotoEditorPhotoImageProvider
    )

add_subdirectory(Printers)

=== src/lib/ubuntu-ui-extras/tests/unittests/Printers/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra")

include_directories(
    ${CMAKE_SOURCE_DIR}/modules/Ubuntu/Components/Extras/Printers
)

find_package(Qt5Gui REQUIRED)
find_package(Qt5Test REQUIRED)

set(MOCK_SOURCES
    mockbackend.h
)

add_executable(testPrintersPrinter tst_printer.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinter UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printer testPrintersPrinter)

add_executable(testPrintersPrinterJob tst_printerjob.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinterJob UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printerjob testPrintersPrinterJob)

add_executable(testPrintersPrinters tst_printers.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinters UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printers testPrintersPrinters)
set_tests_properties(tst_printers PROPERTIES
    ENVIRONMENT "XDG_DATA_DIRS=${CMAKE_CURRENT_SOURCE_DIR}/testdata")

add_executable(testPrintersPrinterModel tst_printermodel.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinterModel UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printermodel testPrintersPrinterModel)

add_executable(testPrintersPrinterFilter tst_printerfilter.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersPrinterFilter UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printerfilter testPrintersPrinterFilter)

add_executable(testPrintersDriverModel tst_drivermodel.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersDriverModel UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_drivermodel testPrintersDriverModel)

add_executable(testPrintersJobModel tst_jobmodel.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersJobModel UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_jobmodel testPrintersJobModel)

add_executable(testPrintersJobFilter tst_jobfilter.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersJobFilter UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_jobfilter testPrintersJobFilter)

add_executable(testPrintersSignalRateLimiter tst_signalratelimiter.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersSignalRateLimiter UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_signalratelimiter testPrintersSignalRateLimiter)

add_executable(testPrintersDevice tst_printerdevice.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersDevice UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printerdevice testPrintersDevice)

add_executable(testPrintersDeviceModel tst_printerdevicemodel.cpp ${MOCK_SOURCES})
target_link_libraries(testPrintersDeviceModel UbuntuComponentsExtrasPrintersQml Qt5::Test Qt5::Gui)
add_test(tst_printerdevicemodel testPrintersDeviceModel)

=== src/lib/ubuntu-ui-extras/modules/Ubuntu/Components/Extras/CMakeLists.txt ===
file(GLOB QML_FILES *.qml qmldir)

set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")

set(PLUGIN_DIR ${QT_IMPORTS_DIR}/Ubuntu/Components/Extras)
install(FILES ${QML_FILES} DESTINATION ${PLUGIN_DIR})

# copy qml files over to build dir to be able to import them in tests
foreach(qmlFile ${QML_FILES} Example.qml PhotoEditor.qml TabsBar.qml Example PhotoEditor TabsBar)
  file(COPY ${qmlFile} DESTINATION ${CMAKE_BINARY_DIR}/tests/unittests/Ubuntu/Components/Extras/)
endforeach(qmlFile)

add_subdirectory(plugin)
#add_subdirectory(Example)
#add_subdirectory(PhotoEditor)
#add_subdirectory(Printers)
add_subdirectory(TabsBar)

=== src/lib/ubuntu-ui-extras/modules/Ubuntu/Components/Extras/Printers/CMakeLists.txt ===
project(UbuntuComponentsExtrasPrintersQml)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra")

add_definitions(-DUBUNTUCOMPONENTSEXTRASPRINTERS_LIBRARY)

include(FindCups)

#include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CUPS_INCLUDE_DIR})

find_package(Qt5Gui REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Concurrent REQUIRED)

if(NOT CUPS_FOUND)
#message(FATAL_ERROR "Could not find cups.")
endif()

qt5_add_dbus_interface(
    GEN_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/org.cups.cupsd.Notifier.xml
    cupsdnotifier)

add_library(UbuntuComponentsExtrasPrintersQml SHARED
    ${GEN_SOURCES}
    backend/backend.cpp
    backend/backend_cups.cpp
    backend/backend_pdf.cpp

    cups/devicesearcher.cpp
    cups/ippclient.cpp
    cups/jobloader.cpp
    cups/printerdriverloader.cpp
    cups/printerloader.cpp

    models/devicemodel.cpp
    models/drivermodel.cpp
    models/jobmodel.cpp
    models/printermodel.cpp

    printer/printer.cpp
    printer/printerjob.cpp
    printer/signalratelimiter.cpp
    printers/printers.cpp

    enums.h
    i18n.cpp
    plugin.cpp
    structs.h
    utils.h
)

target_link_libraries(UbuntuComponentsExtrasPrintersQml
    Qt5::DBus
    Qt5::Gui
    Qt5::PrintSupport
    Qt5::Qml
    Qt5::Concurrent
)

#find_package(QmlPlugins)

macro(add_plugin PLUGIN VERSION PATH)
    export_qmlfiles(${PLUGIN} ${PATH} DESTINATION ${QT_IMPORTS_DIR} ${ARGN})
    export_qmlplugin(${PLUGIN} ${VERSION} ${PATH} DESTINATION ${QT_IMPORTS_DIR} ${ARGN})
endmacro()

add_plugin(Ubuntu.Components.Extras.Printers 0.1 Ubuntu/Components/Extras/Printers TARGETS UbuntuComponentsExtrasPrintersQml)

=== src/lib/ubuntu-ui-extras/modules/Ubuntu/Components/Extras/plugin/CMakeLists.txt ===
include(FindPkgConfig)
#pkg_check_modules(EXIV2 REQUIRED exiv2)             # photoeditor

set(PLUGIN_SRC
    components.cpp
)

set(EXAMPLE_PLUGIN_SRC
    example/example-model.cpp
)

set(PHOTO_EDITOR_PLUGIN_SRC
    photoeditor/file-utils.cpp
    photoeditor/orientation.cpp
    photoeditor/photo-data.cpp
    photoeditor/photo-image-provider.cpp
    photoeditor/photo-metadata.cpp
    photoeditor/imaging.cpp
    photoeditor/photo-edit-thread.cpp
    )

set(TABS_BAR_PLUGIN_SRC
    tabsbar/drag-helper.cpp
)

include_directories(
    ${CMAKE_BINARY_DIR}
)

add_library(ubuntu-ui-extras-plugin SHARED ${PLUGIN_SRC} ${PLUGIN_HDRS}
            ${TABS_BAR_PLUGIN_SRC})
qt5_use_modules(ubuntu-ui-extras-plugin Core Qml Quick Xml Widgets)
target_link_libraries(ubuntu-ui-extras-plugin
    ${EXIV2_LIBRARIES}
    )


set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")

set(PLUGIN_DIR ${QT_IMPORTS_DIR}/Ubuntu/Components/Extras)
install(TARGETS ubuntu-ui-extras-plugin DESTINATION ${PLUGIN_DIR})

# copy the product of the build (plugin binary) to the test directory before
# unit tests are run, so it can be loaded by them.
# Also copy it one directory up so it can be loaded by autopilot tests when
# running them uninstalled.
add_custom_command(
            TARGET ubuntu-ui-extras-plugin
            POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy
                $<TARGET_FILE:ubuntu-ui-extras-plugin>
                ${CMAKE_BINARY_DIR}/tests/unittests/Ubuntu/Components/Extras/)
add_custom_command(
            TARGET ubuntu-ui-extras-plugin
            POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy
                $<TARGET_FILE:ubuntu-ui-extras-plugin>
                ../)

=== src/lib/ubuntu-ui-extras/debian/changelog ===
ubuntu-ui-extras (0.4+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Sun, 07 Jan 2018 23:38:30 +0100

ubuntu-ui-extras (0.3+17.04.20170323-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen, Jonas G. Drange ]
  * Adds devices as an model on Printers, and re-instates remote printer model on Printers.
  * makes sure the backend is refreshed on enable/disable
  * If printerAdded is called ensure there is always a proxy printer
        corrects thread affinity for printerloaded printers, as well as any qobject children it might have
  * Remove PrinterQueue.qml example and add missing job methods to Printers.qml example, so we have only one example
  * improves the deviceName by dropping the CMD (note that the full string remains accessible from device.id)
  * Connect job-impressions-completed from cups to PrinterJob::impressionsCompleted()
  * In the job model listen to printerStateChanged as changes t job-impressions-completed causes that signal
  * Improve the PrinterSignalHandler to limit the maximum wait time of unprocessed signals to four times the timeout
  * Add unit test for SignalRateLimiter to check it does perform a flush
  * Rename PrinterSignalHandler to SignalRateLimiter
  * Add a JobLoader for loading a specific jobId for a printer and loading the extended attributes
  * Move the loading of creationTime, completedTime, processingTime, size and user to extended attributes as signals don't give us those
  * Add method for PrinterBackend for getting a specific job
  * Split up JobModel::update so there is jobCreated, jobState and jobCompleted which then call addJob, removeJob and updateJob
  * Improve Printer::updateFrom to not call loadAttributes as this results in a possible UI block
  * Add missing comparisions for PrinterJob deepCompare and updateFrom
  * Change PrinterJob::setPrinter to not call loadDefaults and instead explicitly call it
  * Change Printers to trigger requestJobExtendedAttributes which triggers a background thread rather than doing in foreground
  * exposes copies attribute on the printer
  * includes cups/adminutils.h into which the cups device callback was moved in >= libcups2-dev 2.2.2
  * allows browsing on local and remote printers
  * Add filters for active, paused and queued
  * Add sorting by creationTime and then falling back to id
  * Change time related roles in JobModel to return QDateTime, not QString, so sorting doesn't break
  * Update tests
  * Change printerGetJobAttributes to use printer-uri and job-id (the same as holdJob and releaseJob
  * Give printerGetJobAttributes printerName so we can ensure we get the correct job
  * adds read/write of the shared property
  * adds extended attribute fetching (IppClient::printerGetAttributes)
  * refactors attribute retrieval from cups
  * implements deviceUri and lastMessage on Printer
  * adds Printers.printTestPage
  * Add tests for JobModel roles
  * Add tests for make and location in Printer
  * Fix JobModel color and quality roles to use fallback if no text
  * Add tests for all roles in PrinterModel
  * Remove PdfRole it is not used (IsPdfRole instead)
  * Add holdJob and releaseJob methods to Printers
  * Add HeldRole to JobModel
  * Add tests for hold and releasing a job
  * Update example to show how hold and release work
  * Update StateRole to return just the state, not text
  * Remove PrinterJob friends and make setters public as they aren't exposed to QML anyway
  * adds make and location to printermodel and printer
  * Pull of trunk
  * Remove use of bitewise or as it fails in CI
  * guards against excessive loading of printers and drivers
  * adds loadPrinter method on Printers
  * drops a lot of code that was not used, and some TODOS/FIXMES that aren't necessary
  * Fix/add commented or empty tests
  * Implement tests that had QSKIP
  * removes empty brackets
  * adds cmake extras, required by printer stuff
  * Remove remaining fixme's
  * Rename UbuntuSettingsComponentsPrintersPlugin to UbuntuComponentsExtrasPrintersPlugin
  * Remove import Ubuntu.Settings.Components 0.1 from example qml imports
  * Rename definition UBUNTUSETTINGSPRINTERS_LIBRARY to UBUNTUCOMPONENTSEXTRASPRINTERS_LIBRARY
  * Rename UbuntuSettingsPrintersQml to UbuntuComponentsExtrasPrintersQml
  * Rename translation domain to ubuntu-ui-extras
  * Fix for printsupport being build-depends rather than depends

 -- Andrew Hayzen <ahayzen@gmail.com>  Thu, 23 Mar 2017 12:54:43 +0000

ubuntu-ui-extras (0.2+17.04.20170301.2-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen, Jonas G. Drange ]
  * Add printer-components from ubuntu-settings-components to ubuntu-ui-
    extras (original branch https://code.launchpad.net/~phablet-
    team/ubuntu-settings-components/printer-components)

 -- Andrew Hayzen <ahayzen@gmail.com>  Wed, 01 Mar 2017 22:24:08 +0000

ubuntu-ui-extras (0.2+17.04.20170222-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen ]
  * Add qml-module-qtqml-models2 as a depends, as it was missing
  * When the tab is being destroyed unset the source of the TabIcon
    Loader
  * Add qtdeclarative5-dev-tools, qml-module-ubuntu-test and xvfb as
    build-deps (LP: #1666556)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 22 Feb 2017 10:52:03 +0000

ubuntu-ui-extras (0.2+17.04.20170116-0ubuntu1) zesty; urgency=medium

  [ Florian Boucault ]
  * New component: TabsBar

 -- Kaleo <florian@boucault.net>  Mon, 16 Jan 2017 16:02:24 +0000

ubuntu-ui-extras (0.2+16.10.20160824.1-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Fix image orientation in photo image provider for Qt>=5.5

  [ Timo Jyrinki ]
  * Stop depending on transitional packages. (LP: #1583079) (LP:
    #1583079)

 -- Kaleo <florian@boucault.net>  Wed, 24 Aug 2016 15:47:28 +0000

ubuntu-ui-extras (0.2+16.10.20160714-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Fixes for crossbuilding.

 -- Kaleo <florian@boucault.net>  Thu, 14 Jul 2016 12:45:37 +0000



=== src/lib/ubuntu-ui-extras/debian/control ===
Source: ubuntu-ui-extras
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake (>= 2.8.9),
               cmake-extras (>= 0.10),
               debhelper (>= 9),
               gettext,
               libcups2-dev,
               libexiv2-dev,
               pkg-config,
               python:any,
               qt5-default,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-ubuntu-components,
               qml-module-ubuntu-test,
               xvfb,
Standards-Version: 3.9.4
Homepage: https://launchpad.net/ubuntu-ui-extras
# If you aren't a member of ~ubuntu-sdk-team but need to upload packaging 
# changes, just go ahead. ~ubuntu-sdk-team will notice and sync up the code
# again.
Vcs-Bzr: https://code.launchpad.net/~ubuntu-sdk-team/ubuntu-ui-extras/trunk
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-sdk-team/ubuntu-ui-extras/trunk/files
X-Ubuntu-Use-Langpack: yes

Package: qtdeclarative5-ubuntu-ui-extras0.2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5printsupport5,
         qml-module-qtqml-models2,
         qml-module-qtquick2,
         qml-module-ubuntu-components,
         qml-module-qtquick-window2,
Provides: qtdeclarative5-ubuntu-ui-extras0.1
Conflicts: qtdeclarative5-ubuntu-ui-extras0.1
Replaces: qtdeclarative5-ubuntu-ui-extras0.1
Description: Ubuntu UI Extra Components
 A collection of UI components that for various reasons can't be included in
 the main Ubuntu UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.

=== src/lib/ubuntu-ui-extras/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_OPTS += -DENABLE_TESTS=OFF
endif

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFIGURE_OPTS)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) ubuntu-ui-extras.pot
